### Virtual Method

# Foundry Debugger connect_to_target

#### Declaration [src]

    DexFuture*
    connect_to_target (
      FoundryDebugger* self,
      FoundryDebuggerTarget* target
    )

#### Description [src]

Connects to `target`.

Not all debuggers may not support all debugger target types.

#### Parameters

`target`

  Type: `FoundryDebuggerTarget`

  A `FoundryDebuggerTarget`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

`DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.